/*
 *  TOPPERS/SSP Kernel
 *      Smallest Set Profile Kernel
 *
 *  Copyright (C) 2008 by Witz Corporation, JAPAN
 *  Copyright (C) 2011-2014 by Naoki Saito
 *             Nagoya Municipal Industrial Research Institute, JAPAN
 * 
 *  L쌠҂́Cȉ (1)`(4) ̏𖞂ꍇɌC{\tgEF
 *  Ai{\tgEFAς̂܂ށDȉjgpEEρE
 *  ĔzziȉCpƌĂԁj邱Ƃ𖳏ŋD
 *  (1) {\tgEFA\[XR[ȟ`ŗpꍇɂ́CL̒쌠
 *      \C̗pщL̖ۏ؋K肪Ĉ܂܂̌`Ń\[X
 *      R[hɊ܂܂Ă邱ƁD
 *  (2) {\tgEFACCu`ȂǁC̃\tgEFAJɎgp
 *      ł`ōĔzzꍇɂ́CĔzzɔhLgip҃}
 *      jAȂǁjɁCL̒쌠\C̗pщL̖
 *      ؋Kfڂ邱ƁD
 *  (3) {\tgEFAC@ɑgݍނȂǁC̃\tgEFAJɎgp
 *      łȂ`ōĔzzꍇɂ́Ĉꂩ̏𖞂ƁD
 *    (a) ĔzzɔhLgip҃}jAȂǁjɁCL̒
 *        \C̗pщL̖ۏ؋Kfڂ邱ƁD
 *    (b) Ĕzž`ԂCʂɒ߂@ɂāCTOPPERSvWFNgɕ
 *        邱ƁD
 *  (4) {\tgEFA̗pɂ蒼ړI܂͊ԐړIɐ邢Ȃ鑹Q
 *      CL쌠҂TOPPERSvWFNgƐӂ邱ƁD܂C
 *      {\tgEFÃ[U܂̓Gh[ÛȂ闝RɊ
 *      CL쌠҂TOPPERSvWFNgƐӂ邱ƁD
 * 
 *  {\tgEFÁCۏ؂Œ񋟂Ă̂łDL쌠҂
 *  TOPPERSvWFNǵC{\tgEFAɊւāC̎gpړIɑ΂
 *  K܂߂āCȂۏ؂sȂD܂C{\tgEFA̗p
 *  ɂ蒼ړI܂͊ԐړIɐȂ鑹QɊւĂC̐ӔC
 *  ȂD
 * 
 */

/*
 *		kernel.h vZbTˑiRL78j
 *
 *  ̃CN[ht@ĆCtarget_kernel.hi܂́CCN
 *  [ht@Cĵ݂CN[hD̃t@C
 *  ڃCN[hĂ͂ȂȂD
 */

#ifndef TOPPERS_PRC_KERNEL_H
#define TOPPERS_PRC_KERNEL_H

/*
 *  J[l{̂RpC邽߂̃}N`
 *
 *  {ł1֐1IuWFNgt@CɃRpC邱ƂłȂ߁C
 *  ALLFUNC}N`D
 */

#define ALLFUNC

/*
 *  T|[g@\̒`
 */
#define TOPPERS_TARGET_SUPPORT_DIS_INT			/* dis_intT|[g */
#define TOPPERS_TARGET_SUPPORT_ENA_INT			/* ena_intT|[g */

/*
 *  J[lǗ̊ݗDx͈̔
 *
 *  J[lǗ̊ݗDx̍őlyэŏl̒`D
 *  ől -1 ŒŁC͓dlɂ悤ɑΏ̐̊ϓ_ŗpӂĂD
 *  ŏl TMIN_INTPRI ɐݒ\Ȓl͈̔͂́C-3, -2, -1 łD
 *
 *  Ⴆ TMIN_INTPRI  -2 ɐݒ肷ƁCNMI ɉݗDx
 *  -4 y -3 ɐݒ肳Ă銄ݗvC݂̊
 *  J[lǗO݂̊ƂȂD
 *  ܂CTMIN_INTPRI  -4 ɐݒ肷邱Ƃ͂łCNMI  -4 ͏
 *  J[lǗO݂̊ƂȂD
 */
#ifndef TMIN_INTPRI
#define TMIN_INTPRI		(-3)		/* ݗDx̍ŏliōlj*/
#endif /* TMIN_INTPRI */
#define TMAX_INTPRI		(-1)		/* ݗDx̍őliŒlj */

/*
 *  荞ݑ
 */
#define	TA_POSEDGE		TA_EDGE			/* |WeBuGbWgK */
#define	TA_NEGEDGE		UINT_C(0x04)	/* lKeBuGbWgK */
#define TA_BOTHEDGE		UINT_C(0x08)	/* GbWgK */


#define BIT_FIELD_BOOL unsigned char

#endif /* TOPPERS_PRC_KERNEL_H */
